public class Factors {
    /* Reads a long command-line argument,
       finds and prints all nontrivial divisors
       of this number (all except 1).
       Example execution: java Factors n
     */
    public static void main(String[] args) {
        long n = Long.parseLong(args[0]);
        Stopwatch watch = new Stopwatch();

        System.out.print("Factors: ");
        for (long d = 2; d <= n; d++) {
            while (n % d == 0) {
                System.out.print(d + " ");
                n = n / d;
            }
        }
        System.out.println();
        System.out.println("Elapsed time: " + watch.elapsedTime() + " sec.");
    }
}
